#
# Pfeiffer TPG 256 A (simulated)
#

# Configure asyn tcp/ip port for Pfeiffer TPG 256 A (MaxiGauge)
drvAsynIPPortConfigure("ipClient1","127.0.0.1:50435",0,0,0)
epicsThreadSleep(1.0) # avoids warning message about already being connected
asynOctetSetInputEos("ipClient1",0,"\r\n")
asynOctetSetOutputEos("ipClient1",0,"")

# (Optional) Asyn record device for asyn tcp/ip port
dbLoadRecords("$(ASYN)/db/asynRecord.db","P=x7ida:,R=asyn_ipClient1,PORT=ipClient1,ADDR=0,OMAX=256,IMAX=256")

# Load Pfeiffer TPG 256 A driver database
dbLoadRecords("src/pfeiffer-tpg-256-a.db","P=x7ID:,D=Maxi1,C=1,CD='Mirror Tank Pressure',PORT=ipClient1,DESC='17-ID'")
